Terms And Conditions
Retrieve all terms and conditions applicable to the specified merchant.
Path parameters
merchantNumberstringRequired
The merchant's unique identification number.
Query parameters
shouldMaskSensitiveDatabooleanOptionalDefault:
Indicates whether sensitive data should be masked in the response.
trueResponses
200
Success
application/json
500
Server Error
application/json
get
/api/legaldocuments/v1/TermsAndConditions/{merchantNumber}GET /api/legaldocuments/v1/TermsAndConditions/{merchantNumber} HTTP/1.1
Host:
Accept: */*
{
"content": [
{
"termsAndConditionsID": 1,
"typeID": 1,
"text": "text",
"effectiveDateUTC": "2025-12-05T20:47:42.722Z"
}
]
}Retrieve the terms and conditions entry associated with the specified merchant and type ID.
Path parameters
merchantNumberstringRequired
The merchant's unique identification number.
typeIDinteger · int32Required
The unique identifier of the terms and conditions type.
Query parameters
shouldMaskSensitiveDatabooleanOptionalDefault:
Indicates whether sensitive data should be masked in the response.
trueResponses
200
Success
application/json
500
Server Error
application/json
get
/api/legaldocuments/v1/TermsAndConditions/{merchantNumber}/{typeID}GET /api/legaldocuments/v1/TermsAndConditions/{merchantNumber}/{typeID} HTTP/1.1
Host:
Accept: */*
{
"termsAndConditionsID": 1,
"typeID": 1,
"text": "text",
"effectiveDateUTC": "2025-12-05T20:47:42.722Z"
}Last updated
Was this helpful?

